gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::Navigation Class Reference
gstreamermm Interfaces

An interface for elements that provide navigation functionality. More...

Inheritance diagram for Gst::Navigation:
[legend]
Collaboration diagram for Gst::Navigation:
[legend]

List of all members.

## Public Member Functions
virtual | ~Navigation ()
GstNavigation* | gobj ()
| Provides access to the underlying C GObject.
const GstNavigation* | gobj () const
| Provides access to the underlying C GObject.
void | send_event (Gst::Structure& structure)
void | send_key_event (const Glib::ustring& event, const Glib::ustring& key)
void | send_mouse_event (const Glib::ustring& event, int button, double x, double y)
| Sends a mouse event to the navigation interface.
void | send_command (Gst::NavigationCommand command)
| Sends the indicated command to the navigation interface.
virtual void | send_event_vfunc (Gst::Structure& structure)
| Called when an event has been sent to the Gst::Navigation.
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
## Protected Member Functions
| Navigation ()
| You should derive from this class to use it.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::Navigation > | wrap (GstNavigation* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

An interface for elements that provide navigation functionality.

## Constructor & Destructor Documentation

Gst::Navigation::Navigation | ( |  | ) | `[protected]`

You should derive from this class to use it.

virtual Gst::Navigation::~Navigation | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gst::Navigation::add_interface | ( | GType | gtype_implementer | ) | `[static]`

static GType Gst::Navigation::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented in Gst::XvImageSink, and Gst::XImageSink.

GstNavigation* Gst::Navigation::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gst::XvImageSink, and Gst::XImageSink.

const GstNavigation* Gst::Navigation::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gst::XvImageSink, and Gst::XImageSink.

void Gst::Navigation::send_command | ( | Gst::NavigationCommand | command | ) |

Sends the indicated command to the navigation interface.

Parameters:

  command | The command to issue.

void Gst::Navigation::send_event | ( | Gst::Structure& | structure | ) |

virtual void Gst::Navigation::send_event_vfunc | ( | Gst::Structure& | structure | ) | `[virtual]`

Called when an event has been sent to the Gst::Navigation.

void Gst::Navigation::send_key_event | ( | const Glib::ustring & | event,
|  | const Glib::ustring & | key
| ) |  |

Parameters:

  event | The type of the key event. Recognised values are "key-press" and "key-release".
  key | Character representation of the key. This is typically as produced by XKeysymToString.

void Gst::Navigation::send_mouse_event | ( | const Glib::ustring & | event,
|  | int | button,
|  | double | x,
|  | double | y
| ) |  |

Sends a mouse event to the navigation interface.

Mouse event coordinates are sent relative to the display space of the related output area. This is usually the size in pixels of the window associated with the element implementing the Gst::Navigation interface.

Parameters:

  event | The type of mouse event, as a text string. Recognised values are "mouse-button-press", "mouse-button-release" and "mouse-move".
  button | The button number of the button being pressed or released. Pass 0 for mouse-move events.
  x | The x coordinate of the mouse event.
  y | The y coordinate of the mouse event.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::Navigation > wrap | ( | GstNavigation * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/navigation.h